{% extends "plantilla.html"%}
{% block contenido%}
{% load static %}

<div class="intro-section single-cover" id="home-section">

      <div class="slide-1" style="background-image: url('{{ imagen_url }}');" data-stellar-background-ratio="0.5">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-12">
              <div class="row justify-content-center align-items-center text-center">
                <div class="col-lg-6">
                  <h1 data-aos="fade-up" data-aos-delay="0">Editar Curso</h1>

                </div>

              </div>
            </div>

          </div>
        </div>
      </div>
    </div>

    <div class="container-fluid pt-4 px-4">
     <div class="row g-4">
         <div class="col-sm-12 col-xl-12">
             <div class="bg-secondary rounded h-100 p-4">
               <form method="post" action="{% url 'actualizarCurso' %}" class="needs-validation" novalidate id="frm_curso">
                     {% csrf_token %}
                     <div class="mb-3">
                       <input type="hidden" name="id"  value="{{curso.idCursodcp}}">
                       <select class="form-control selectpicker" data-live-search="true"
                       name="carrera" id="carrera" required>
                         <option value="" disabled selected>-- Seleccione el nombre de la carrera --</option>
                         {% for carrera in carreras %}
                             <option value="{{ carrera.idCarreradcp }}">{{ carrera.nombreCarreradcp }}</option>
                         {% endfor %}
                     </select>
                       <script type="text/javascript">
                         document.getElementById("carrera").value="{{curso.carrera.idCarreradcp}}"
                       </script>
                     </div>
                     <!-- Campo para el nivel -->
                     <div class="mb-3">
                         <label for="id_nivel" class="form-label">Nivel:</label>
                     <input type="text" class="form-control" id="nivel" name="nivel" value="{{curso.nivelCursodcp}}" required>
                         <div class="invalid-feedback">
                             Por favor, ingresa el nivel.
                         </div>
                     </div>
                     <div class="mb-3">
                         <label for="id_descripcion" class="form-label">Descripción:</label>
                         <textarea class="form-control" id="descripcion" name="descripcion" rows="4" required>{{curso.descripcionCursodcp}}</textarea>
                         <div class="invalid-feedback">
                             Por favor, ingresa la descripción.
                         </div>
                     </div>
                     <!-- Campo para el aula -->
                     <div class="mb-3">
                         <label for="id_aula" class="form-label">Aula:</label>
                     <input type="text" class="form-control" id="aula" name="aula" value="{{curso.aulaCursodcp}}" required>
                         <div class="invalid-feedback">
                             Por favor, ingresa el aula.
                         </div>
                     </div>
                     <!-- Campo para el horario -->
                     <div class="mb-3">
                         <label for="id_horario" class="form-label">Horario:</label>
                     <input value="{{curso.horarioCursodcp}}"type="text" class="form-control" id="horario" name="horario">
                     </div>

                     <!-- Campo para el tutor -->
                     <div class="mb-3">
                         <label for="id_tutor" class="form-label">Tutor:</label>
                     <input value="{{curso.tutorCursodcp}}"type="text" class="form-control" id="tutor" name="tutor">
                     </div>
                     <!-- Botón de enviar -->
                     <button type="submit" class="btn btn-warning">Actualizar Curso</button>
                 </form>
             </div>
         </div>
       </div>
   </div>


          <script type="text/javascript">
            // Inicializa el formulario para validación
            $("#frm_curso").validate({
              rules: {
                carrera: {
                  required: true,
                },
                nivel: {
                  required: true,
                  alphanumeric: true
                },
                descripcion: {
                  required: true
                },
                aula: {
                  required: true,
                  lettersonly: true
                },
                horario: {
                  required: true,
                  time: true
                },
                tutor: {
                  required: true,
                  fullname: true
                }
              },
              messages: {
                carrera: {
                  required: "Seleccione una carrera",
                },
                nivel: {
                  required: "Ingrese el nivel",
                  alphanumeric: "Ingrese solo números y letras para el nivel"
                },
                descripcion: "Ingrese la descripción",
                aula: {
                  required: "Ingrese el aula",
                  lettersonly: "Ingrese solo letras para el aula"
                },
                horario: {
                  required: "Ingrese el horario",
                  time: "Ingrese un horario válido"
                },
                tutor: {
                  required: "Ingrese el tutor",
                  fullname: "Ingrese un nombre y apellido válidos para el tutor"
                }
              },
              errorElement: "span",
              errorPlacement: function (error, element) {
                // Ajusta la colocación del mensaje de error
                error.addClass("invalid-feedback");
                element.closest(".mb-3").append(error);
              },
              highlight: function (element, errorClass, validClass) {
                // Añade clases de Bootstrap para resaltar errores
                $(element).addClass("is-invalid").removeClass("is-valid");
              },
              unhighlight: function (element, errorClass, validClass) {
                // Añade clases de Bootstrap cuando no hay errores
                $(element).removeClass("is-invalid").addClass("is-valid");
              }
            });

            // Agrega métodos de validación personalizados
            $.validator.addMethod("lettersonly", function (value, element) {
              return this.optional(element) || /^[a-zA-Z\s]+$/i.test(value);
            }, "Ingrese solo letras");

            $.validator.addMethod("alphanumeric", function (value, element) {
              return this.optional(element) || /^[0-9a-zA-Z\s]+$/i.test(value);
            }, "Ingrese solo números y letras");

            $.validator.addMethod("time", function (value, element) {
              return this.optional(element) || /^([01]?[0-9]|2[0-3]):[0-5][0-9]$/i.test(value);
            }, "Ingrese un horario válido");

            $.validator.addMethod("fullname", function (value, element) {
              return this.optional(element) || /^[a-zA-Z]+\s+[a-zA-Z]+$/i.test(value);
            }, "Ingrese un nombre y apellido válidos");

          </script>
{% endblock %}
